import request from '@/utils/request'

// process.env.VUE_APP_BASIC_API
const BASE_API = process.env.VUE_APP_BASIC_API

// 待审核列表
export function auditList(data) {
  return request({
    url: `${BASE_API}localverify/list`,
    data
  })
}

/**
 * 查询企业实名认证详情
 */
export function queryEnterpriseAuditDetail(data) {
  return request({
    url: `${BASE_API}localverify/getEnterpriseDetail`,
    data
  })
}
/**
 * 查询自然人审核详情
 */
export function queryPersonDetailAuditDetail(data) {
  return request({
    url: `${BASE_API}localverify/personDetail`,
    data
  })
}
/**
 * 查询企业负责人变更审核详情
 */
export function queryEnterprisePersonAuditDetail(data) {
  return request({
    url: `${BASE_API}localverify/enterpriseRnrPersonDetail`,
    data
  })
}

/**
 * 审核提交
 */
export function queryAuditsubmit(data) {
  return request({
    url: `${BASE_API}localverify/submit`,
    data
  })
}
/**
 *获取base64图片
 */
export function queryBase64List(data) {
  return request({
    url: `${BASE_API}file/getBase64ByIds`,
    data
  })
}

/**
 * 查询实名租户列表
 * @yai http://10.166.2.23:3000/project/32/interface/api/19884
 */
export function queryTenantList(data) {
  return request({
    url: `${BASE_API}rnrOrder/queryTenantList`,
    data,
    method: 'GET'
  })
}

/**
 * 查询工单列表
 * @yapi http://10.166.2.23:3000/project/32/interface/api/19886
 */
export function pageListQuery(data) {
  return request({
    url: `${BASE_API}rnrOrder/pageListQuery`,
    data
  })
}

/**
 * 根据工单查询卡列表分页
 * @yapi http://10.166.2.23:3000/project/32/interface/api/19887
 */
export function queryCardPageByOrderId(data) {
  return request({
    url: `${BASE_API}rnrOrder/queryCardPageByOrderId`,
    data
  })
}

/**
 * 查询工单详情
 * @yapi http://10.166.2.23:3000/project/32/interface/api/19888
 */
export function queryOrderDetail(data) {
  return request({
    url: `${BASE_API}rnrOrder/queryOrderDetail?orderId=${data.orderId}`,
    data,
    method: 'GET'
  })
}
